mysql_stmt_result_metadata(3)

  Name

mysql_stmt_result_metadata - Returns result set metadata from a prepared statement.

  Synopsis

    #include <mysql.h>
    MYSQL_RES * mysql_stmt_result_metadata(MYSQL_STMT * stmt);

  Description

If a statement passed to mysql_stmt_prepare(3) is one that produces a result set, mysql_stmt_result_metadata() returns the result set that can be used to process the meta information such as total number of fields and individual field information.

  Parameter

•   stmt - a statement handle, which was previously allocated by mysql_stmt_init(3).

  Return value

Returns a result set that can be used to process metadata information.

  Notes

•   The result set returned by mysql_stmt_result_metadata() contains only metadata. It does not contain any row results. The rows are obtained by mysql_stmt_fetch(3).

•   This result set pointer can be passed as an argument to any of the field-based functions that process result set metadata, such as: mysql_num_fields(3), mysql_fetch_field(3), mysql_fetch_field_direct(3), mysql_fetch_fields(3), mysql_field_count(3), mysql_field_seek(3), mysql_field_tell(3), mysql_free_result(3)

  See Also

•   mariadb_stmt_fetch_fields(3)

•   mysql_free_result(3)

•   mysql_stmt_prepare(3)